module.exports = (io) => {
  io.on('connection', (socket) => {
    console.log('📡 Novo usuário conectado:', socket.id);

    socket.on('join', (roomId) => {
      socket.join(roomId);
      console.log(`👥 ${socket.id} entrou na sala: ${roomId}`);
      socket.to(roomId).emit('user-joined', socket.id);
    });

    socket.on('signal', ({ to, signal }) => {
      io.to(to).emit('signal', {
        from: socket.id,
        signal: signal,
      });
    });

    socket.on('disconnect', () => {
      console.log('❌ Usuário desconectado:', socket.id);
    });
  });
};
